/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 * $Id: testmain.c,v 1.4 2001/02/23 19:02:04 stevek Exp $
 */
/***************************************************************************
                          clientmain.c  -  description
                             -------------------
    begin                : Fri May 26 2000
    copyright            : (C) 2000 by Calvin Ko
    email                : ko@tislabs.com
 ***************************************************************************/

#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include "comm.h"

int main(int argc, char *argv[])

{
	int s;
	char buf[256];
	if (argc <= 1) {
		fprintf(stderr, "dtest HOST [message]\n");
		exit(0);
	}

	s = connectTCP(argv[1], WRD_PORT);
	if (s < 0) {
          perror(errmsg);
	}


	buf[256] = '\0';
	if (argc == 3) {	
		int size;	
		strcpy(buf, "WQL0");
		strcpy(&buf[8], argv[2]); 
		size = strlen(argv[2]) + 8;
		bcopy(&size, &buf[4], 4); 
 		write(s, buf, size);
 		write(s, buf, size);
	     sleep(10);
		bcopy(buf, buf+size, size);
 		write(s, buf, size * 2);

	} else {
		while (fgets(buf, 255, stdin)) {
			sendstr(s, buf);
		}
	}
//	sleep(20);
	close(s);
	return 1;
}
