/*
 * $Id: kernel.h,v 1.2 2001/03/20 20:46:08 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Kernel State
 * 
 */

#ifndef _GSWTK_KERNEL_KERNEL_H
#define _GSWTK_KERNEL_KERNEL_H 1


/***************************************************************************\
 * Public structures and types                                             *
\***************************************************************************/

typedef struct gswk_kernel_runtime gswk_kernel_runtime_t;
typedef struct gswk_kernel_state   gswk_kernel_state_t;

struct gswk_kernel_runtime
{
   unsigned long options;
};

struct gswk_kernel_state
{
   gswk_kernel_runtime_t runtime;
};


/***************************************************************************\
 * Public globals                                                          *
\***************************************************************************/

extern gswk_kernel_state_t GSWKERNLINKAGE _gswk_state;

#endif /* _GSWTK_KERNEL_KERNEL_H */

