/*
 * $Id: cond.h,v 1.5 2001/03/20 20:46:09 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Linux-specific Condition Variables
 * 
 */

#ifndef _GSWTK_KERNEL_OS_LINUX_COND_H
#define _GSWTK_KERNEL_OS_LINUX_COND_H 1

#include <linux/wait.h>


/***************************************************************************\
 * Public structures and types                                             *
\***************************************************************************/

typedef struct gswk_cond_os gswk_cond_os_t;

struct gswk_cond_os
{
   const pd_char_t   *cond_name;
   struct wait_queue *cond_waitqueue;
};


#endif /* _GSWTK_KERNEL_OS_LINUX_COND_H */

