/*
 * $Id: mutex_asm.h,v 1.1 2001/03/19 20:55:16 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Linux-specific Assembly for Mutexes
 * 
 */

#ifndef _GSWTK_KERNEL_OS_LINUX_I386_MUTEX_ASM_H
#define _GSWTK_KERNEL_OS_LINUX_I386_MUTEX_ASM_H 1

#ifdef __SMP__
spinlock        = 4
#else /* !__SMP__ */
#  if (DEBUG_SPINLOCKS < 1)
#    if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 8)
spinlock        = 0
#    else
spinlock        = 4
#    endif
#  elif (DEBUG_SPINLOCKS < 2)
spinlock        = 4
#  else
spinlock        = 12
#  endif
#endif

#endif /* _GSWTK_KERNEL_OS_LINUX_I386_MUTEX_ASM_H */

