/*
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: mach.h,v 1.4 2001/03/20 20:46:08 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: OS-specific Machine-specific Header
 *
 */

#ifndef _GSWTK_KERNEL_OS_MACH_H
#define _GSWTK_KERNEL_OS_MACH_H 1

/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

int GSWKERNLINKAGE gswk_mach_os_init( void );


#include GSWTK_KERNEL_OS_HEADER(mach.h)

#endif /* _GSWTK_KERNEL_OS_MACH_H */

