/*
 * $Id: mutex.h,v 1.3 2001/03/27 20:48:20 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Windows NT/2000-specific Mutexes
 * 
 */

#ifndef _GSWTK_KERNEL_OS_WINNT_MUTEX_H
#define _GSWTK_KERNEL_OS_WINNT_MUTEX_H 1


/***************************************************************************\
 * Public structures and types                                             *
\***************************************************************************/

typedef struct gswk_mutex_os gswk_mutex_os_t;

struct gswk_mutex_os
{
   HANDLE           mutex_handle;
#ifdef GSWTK_OPTION_DEBUG_MUTEX
   const pd_char_t *mutex_file;
   int              mutex_line;
#endif /* GSWTK_OPTION_DEBUG_MUTEX */
};


/***************************************************************************\
 * Public macros                                                           *
\***************************************************************************/

#ifndef GSWTK_OPTION_DEBUG_MUTEX
#define GSW_MUTEX_OS_INIT() { INVALID_HANDLE_VALUE }
#else
#define GSW_MUTEX_OS_INIT() { INVALID_HANDLE_VALUE, (const pd_char_t *)NULL, 0 }
#endif

#endif /* _GSWTK_KERNEL_OS_WINNT_MUTEX_H */

