/*! \file linker_skel.h
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: linker_skel.h,v 1.4 2001/02/23 19:02:10 stevek Exp $
 *
 * \brief   Skeleton header of prototypes and structures used by a module linker
 * \author  Steve Kiernan
 * \version $Revision: 1.4 $
 * \date    $Date: 2001/02/23 19:02:10 $
 */

#ifndef __LINKER_SKEL_H
#define __LINKER_SKEL_H	1

#ifndef WR_DEFS_INCLUDED
#include <wr_conf.h>
#endif

#ifndef __WSS_LINKER_H
#include <wss_linker.h>
#endif


/***************************************************************************\
 * Public macros                                                           *
\***************************************************************************/


/***************************************************************************\
 * Public structures and types                                             *
\***************************************************************************/


/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/


#endif /* __LINKER_SKEL_H */

