# 
# Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
# All rights reserved.
#
# This file is part of the NAI Generic Software Wrappers Toolkit
# (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
# distribution.
#
# The GSWTK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GSWTK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# Build Files for Toolkit
#
# Java(tm) makefile rules for GNU Make
#
# $Id: java.mak.GNU,v 1.10 2001/04/05 18:40:49 stevek Exp $
#
# Makefile variables:
#

ifeq "${JAVAMAK}" "pre"

ifneq (${${OSTARGET}_JAVASRCS},)
JAVASRCS += ${${OSTARGET}_JAVASRCS}
endif
ifneq (${${PLATFORMTARGET}_JAVASRCS},)
JAVASRCS += ${${PLATFORMTARGET}_JAVASRCS}
endif

JAVA2_PLATFORM = ${shell test "${JAVAMAJOR}" -gt 1 -o "${JAVAMINOR}" -ge 2 && echo "yes" || echo "no"}

ifeq "${JAVA2_PLATFORM}" "yes"
ifdef JAVA2SRCS
JAVASRCS += ${JAVA2SRCS}
endif
else
ifdef JAVA1SRCS
JAVASRCS += ${JAVA1SRCS}
endif
endif

JAVA_INNER_CLASSES = ${JAVASRCS:.java=\$$*.class}

endif

