@ECHO OFF
REM -----------------------------------------------------------------------
REM -- mkdirhier launch batch file for Generic Software Wrappers Toolkit --
REM -----------------------------------------------------------------------

if "%@eval[2 + 2]%" == "4" setdos /x-124578
REM Check for the Borne Shell from Cygwin kit
sh -c "echo Borne Shell" >NUL 2>NUL

REM If we encountered an error, we must not have it
IF ERRORLEVEL 1 GOTO needsh

REM Launch the configure script
sh -c "drive=`pwd | sed -e 's!^/[^/].*!!' -e 's!^\(//[a-zA-Z]\)/.*!\1!'`; script=`echo $drive'%0' | tr 'A-Z' 'a-z' | sed -e 's!^//[a-z]\([a-z]\):!//\1!' -e 's/.[bB][aA][tT]$//' | tr '\134' '/' | sed -e 's!//[a-z]//\([a-z]\)!//\1!' -e 's!//[a-z]\([^/]\)!\1!'`; sh $script %1 %2 %3 %4 %5 %6 %7 %8 %9"

REM If we are unable to find the script, inform the user
if ERRORLEVEL 2 goto incomplete
goto exit

:needsh
echo Please install a supported version of Cygwin on your system.  We have tested
echo the Wrappers Toolkit with the release 1.0 and beta 1.1.4 versions of Cygwin
echo and know that these will work.  You must install a version of at least 1.0 in
echo order to utilize the Toolkit.
goto exit

:incomplete
echo This package is incomplete.  Please make sure you have extracted all the
echo files to the appropriate directories and re-run this configuration script.
goto exit

:exit
if "%@eval[2 + 2]%" == "4" setdos /x0
