# 
# Copyright (C) 2001  Network Associates, Incorporated (NAI)
# All rights reserved.
#
# This file is part of the NAI Generic Software Wrappers Toolkit
# (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
# distribution.
#
# The GSWTK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GSWTK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: obj.mak.GNU,v 1.2 2001/04/30 20:02:19 stevek Exp $
#
# Build Files for Toolkit
#
# Object file makefile rules for GNU make
#
# Makefile variables:
#

ifeq "${OBJMAK}" "pre"

ifeq (${strip ${KERNEL_SOURCE}},)

COMPILE.s = ${COMPILE_CMD.s}
COMPILE.S = ${COMPILE_CMD.S}
COMPILE.c = ${COMPILE_CMD.c}
COMPILE.cxx = ${COMPILE_CMD.cxx}
COMPILE.cpp = ${COMPILE_CMD.cpp}
COMPILE.cc = ${COMPILE_CMD.cc}

else

CFLAGS		+= -DPD_IN_KERNEL
CXXFLAGS	+= -DPD_IN_KERNEL

ifeq (${strip ${KERNEL_COMPILE_CMD.s}},)
COMPILE.s = ${COMPILE_CMD.s}
else
COMPILE.s = ${KERNEL_COMPILE_CMD.s}
endif
ifeq (${strip ${KERNEL_COMPILE_CMD.S}},)
COMPILE.S = ${COMPILE_CMD.S}
else
COMPILE.S = ${KERNEL_COMPILE_CMD.S}
endif
ifeq (${strip ${KERNEL_COMPILE_CMD.c}},)
COMPILE.c = ${COMPILE_CMD.c}
else
COMPILE.c = ${KERNEL_COMPILE_CMD.c}
endif
ifeq (${strip ${KERNEL_COMPILE_CMD.cxx}},)
COMPILE.cxx = ${COMPILE_CMD.cxx}
else
COMPILE.cxx = ${KERNEL_COMPILE_CMD.cxx}
endif
ifeq (${strip ${KERNEL_COMPILE_CMD.cpp}},)
COMPILE.cpp = ${COMPILE_CMD.cpp}
else
COMPILE.cpp = ${KERNEL_COMPILE_CMD.cpp}
endif
ifeq (${strip ${KERNEL_COMPILE_CMD.cc}},)
COMPILE.cc = ${COMPILE_CMD.cc}
else
COMPILE.cc = ${KERNEL_COMPILE_CMD.cc}
endif

endif

endif

