/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 * $Id: eventfs_ioctl.h,v 1.6 2001/02/23 19:02:18 stevek Exp $
 */

#ifndef __EVENTFS_IOCTL_H
#define __EVENTFS_IOCTL_H 1

#include <sys/param.h>
#include <sys/ioccom.h>

#if !defined(KERNEL) && !defined(_KERNEL)
#include <sys/ioctl.h>
#endif

struct eventfs_request
{
   unsigned long mask;
   char          name[MAXPATHLEN];
};

#define EFSIOCREQ _IOWR('e', 1, struct eventfs_request) /* Request stream */

#endif /* __EVENTFS_IOCTL_H */

