package BinFile::Symbol;
# 
# Copyright (C) 2001  Network Associates, Incorporated (NAI)
# All rights reserved.
#
# This file is part of the NAI Generic Software Wrappers Toolkit
# (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
# distribution.
#
# The GSWTK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GSWTK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: Symbol.pm,v 1.5 2001/01/19 18:55:53 stevek Exp $
#
require 5.004;
use strict;
use Carp;
use IO::Seekable;

BEGIN {
   use vars     qw(@ISA $VERSION);
   use Exporter ();

   $VERSION   = 0.001;
}

sub import { goto &Exporter::import }

use Class::OOStruct qw(struct);
struct 'BinFile::Symbol' => [
   name   => '$',
   addr   => '$',
   symtab => '$'
];

sub isUnknown ($) {
   my $this = shift;
   1;
}

sub dump ($) {
   my $this = shift;
   printf("\t[Symbol]\n");
   printf("\tname: %x\n",$this->name);
   printf("\taddr: %x\n",$this->addr);
}

1;
