#!/usr/bin/perl -w

use strict;

use BinFile;
use BinFile::AutoDetect;

# &BinFile::AutoDetect::debug;

print STDERR "Usage: binfile.pl <bin1> [<bin2> ... <binn>]\n"
   unless @ARGV;

foreach( @ARGV ) {
   (warn "Missing or unknown file: $_"), next unless -f $_;
   print '--[ '.$_.' ]--'."\n";
   my $f = new BinFile::AutoDetect($_, BINFILE_LOADSYMS);
   print 'Format: ' . $f->format . "\n";
   $f->dumpheader;
   $f->dumpsections;
   $f->dumpsymtabs;
}

