#  
#  Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
#  All rights reserved.
# 
#  This file is part of the NAI Generic Software Wrappers Toolkit
#  (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
#  distribution.
# 
#  The GSWTK is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
# 
#  The GSWTK is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Generic Software Wrappers Toolkit
#
# Solaris makefile defaults
#

#
# Platform variables
#
PLATFORMWRAPPER=${UNIX_WRAPPER} ${SOLARIS_WRAPPER}

#
# Compiler options
#
ifndef NODEFCFLAGS
CFLAGS += -I ${TOPDIR}/wr.include
CFLAGS += -I ${TOPDIR}/wss/include
CFLAGS += -I ${TOPDIR}/wsi/${BUILDDIR}/include
CXXFLAGS += -I ${TOPDIR}/wr.include
CXXFLAGS += -I ${TOPDIR}/wss/include
CXXFLAGS += -I ${TOPDIR}/wsi/${BUILDDIR}/include
endif


#
# Path variables
#
WSSTARGETDIR=kernmod

#
# Wrappers
#
WRAPEXT=.wmo
CRITEXT=.wmo
RELOC_LINK=${LD} -r
RELOC_OUT=-o $@
RELOC_OBJS=$<
ACT_CFLAGS_CMD=awk '/^MY.+=/ { printf("%s ", $$3) }' ${TOPDIR}/mak/wss-options.mak
ACT_CFLAGS=${ACT_CFLAGS_CMD:sh}
WRAPCFLAGS += -I ${TOPDIR}/include
WRAPCFLAGS += -I ${TOPDIR}/wr.include
WRAPCFLAGS += -I ${TOPDIR}/wss/include
WRAPCFLAGS += -I ${TOPDIR}/wsi/${BUILDDIR}/include
BUILD_WRAPPERS=${WRAPPER} ${PLATFORMWRAPPER}
BUILD_WRAPPERS_SRCS=${BUILD_WRAPPERS:%=%.c}
BUILD_WRAPPERS_OBJS=${BUILD_WRAPPERS:%=%.o}
BUILD_WRAPPERS_MODS=${BUILD_WRAPPERS:%=%.wmo}
LINKFORMATS=elf32

