Summary: A PAM module to connect PAM-Linux to the Wrappers Subsystem
Name: pam_wss
Version: 0.1
Release: 1
Copyright: unspecified
Group: System Environment/Base

%description
pam_wss is a PAM-Linux module which utilizes the option "likeauth" to the PAM 
module pam_pwdb.so, which is responsible for the authentication process during 
logins, su, etc. It reports the success or failure to the Wrappers Subsystem
and as much relevant information about the login attempt as is possible to
glean from PAM-Linux.

%setup

%prep
tar xfz ../SOURCES/pam_wss-0.1.tar.gz

%build
cd pam_wss-0.1/
gcc -shared -Xlinker -x -o pam_wss.so pam_wss.c -ldl -lpam

%install
cd pam_wss-0.1/
cp pam_wss.so /lib/security/
if [ ! -d /usr/local/share/pam_wss ]; then mkdir /usr/local/share/pam_wss; fi
cp post-install.pl /usr/local/share/pam_wss/
cp post-uninstall.pl /usr/local/share/pam_wss/

%post
/usr/local/share/pam_wss/post-install.pl

%clean
cd pam_wss-0.1/
rm pam_wss.so

%preun
/usr/local/share/pam_wss/post-uninstall.pl

%files
%defattr(-,root,root)
/lib/security/pam_wss.so
/usr/local/share/pam_wss

%changelog
* Tue Apr 11 2000 Jeremy Latt Jeremy_Latt@nai.com
Initial source. no changes.
