/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: linker_pe.h,v 1.4 2001/02/23 19:02:31 stevek Exp $
 *
 * Author: Steve Kiernan
 *
 * Purpose: This file contains prototypes and structures use by the module
 * loading code for PE modules.
 */


#ifndef __WSI_PE_H
#define __WSI_PE_H 1

#ifndef WR_DEFS_INCLUDED
#include <wr_conf.h>
#endif

#include <wsi_types.h>

#include <wss_linker.h>

#ifdef __cplusplus
extern "C" {
#endif


/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

void WSSLINKAGE linker_pe_init __P(( void ));


#ifdef __cplusplus
}
#endif

#endif /* __WSI_PE_H */

