/*
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: loader.c,v 1.5 2001/02/23 19:02:40 stevek Exp $
 *
 * Author: Steve Kiernan
 *
 * Purpose: Load/unload the WSS from the kernel.
 * 
 */

#include <wr_conf.h>

/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

/*
 * This is the lkm load function.  It initializes the WSS, replaces
 * some system calls, adds an exit function, adds a new system call,
 * and prepares for the loading of wrappers.
 */
int
_init()
{
   return 0;
}

/*
 * This is the lkm unload function.  It shuts down the WSS, restores
 * the replaced system calls, removes the exit function, removes the
 * added system calls, unloads wrapper modules, and forces LWPs to
 * reissue their system calls.
 *
 */
int
_fini()
{
   return 0;
}

