/*
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: wsi_log.c,v 1.5 2001/02/23 19:02:40 stevek Exp $
 *
 * Author: Linda Thomas
 *
 * Purpose: This file contains message logging functions.
 */

#include <wr_conf.h>

/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

/*
 * Open the log file
 *
 * Use an entry the WSS '.GLOBAL' database to store the location of
 *      the log file.
 *      
 * Returns an error code
 */
int
wsi_log_open()
{
   return 0;
}

/*
 * Close the log file
 * Returns an error code
 */
int
wsi_log_close()
{
   return 0;
}

/*
 * Log message to log file
 * Returns the lenght of the string written out
 */
int
wsi_log_printf( char *format, ... )
{
   return 0;
}

