/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: conf.h,v 1.3 2001/02/23 19:02:03 stevek Exp $
 */

#ifndef PEG_CONF_H 
#define PEG_CONF_H

#define PEG_VERSION_MAJOR  0
#define PEG_VERSION_MINOR  5 
#define PEG_VERSION_STRING "0.5"


#if defined(__linux__)
#define WR_LINUX
#define WR_UNIX
#endif

#if defined(__sun__) && defined(__svr4__)
#define WR_SOLARIS
#define WR_UNIX 
#endif

#if defined(_WIN32)
#define WR_WINNT _WIN32_WINNT          
#endif
                                                   
#endif /* PEG_CONF_H */
