
#ifdef TRACK_FD 
     WR_LOCAL::op{open} ($errno == 0) post { 
         int i;      
         char *abspath = wr_abspath($path);
         wql {  delete from fdtbl where .fd = $fdret; };
         i = wql { insert into fdtbl values ($fdret, abspath);  };
         if (i < 0) {
             wr_printf("Error inserting row into table fdtbl.\n");
         }
         wr_free(abspath);
     };   
    WR_LOCAL::op{open||creat} ($errno == 0) post {
        int i, spid;
        struct wr_stat s;
        spid = an->sid + 100000; 
        wr_fstat($fdret, &s);
        if (env->cflag == 1) {
             i = wql { insert into filetbl
                       values ( s.st_ino, s.st_gen, s.st_mode, _pid, $path ),
                              ( s.st_ino, s.st_gen, s.st_mode, spid, $path );
             };
        }
    }; 
 
    WR_LOCAL::op{mkdir} ($errno == 0) post {
        int i, spid;
        struct wr_stat s;
        spid = an->sid + 100000; 
        wr_stat($path, &s);
        i = wql { insert into filetbl
                  values ( s.st_ino, s.st_gen, s.st_mode, _pid, $path ),
                         ( s.st_ino, s.st_gen, s.st_mode, spid, $path );
        };
    }; 
 
	WR_LOCAL::op{socket} ($errno == 0) post { 
		int i; 
		wql { delete from fdtbl where .fd = $fdret; };
		i = wql { insert into fdtbl values ($fdret, "Socket:"); }; 
	};

	WR_LOCAL::op{bind} ($errno == 0) post {
		SockTk s;
		char *n = s.name;
		getSock($fd, &s);
		wql { update fdtbl set .name = n where .fd = $fd; };
	};
 
	WR_LOCAL::op{connect} ($errno == 0) post { 
		SockTk s;
		char *n = s.name;
		getSock($fd, &s);
		wql { update fdtbl set .name = n where .fd = $fd; };
	};

	WR_LOCAL::op{accept} ($errno == 0) post { 
		SockTk s;
		char *n = s.name;
		getSock($fdret, &s);
		wql { delete from fdtbl where .fd = $fdret; };
		wql { insert into fdtbl values ($fdret, n); }; 
	};
 
    WR_LOCAL::op{dup} ($errno == 0) post { 
        int i;
        wql { delete from fdtbl where .fd = $fdret; };
        i = wql { insert into fdtbl values ($fdret, getpath($fd));  };
        if (i < 0) {
            wr_printf("Error inserting row into table fdtbl.\n");
        }
    };
 
    WR_LOCAL::op{dup2} ($errno == 0) post {
        int i;
        wql { delete from fdtbl where .fd = $newfd; };
        i = wql { insert into fdtbl values ($newfd, getpath($fd));  };
#ifdef VERBOSE
        wr_printf("Dup2 %d: %d %d\n", _pid, $fd, $newfd);
#endif
    };

/* 
    WR_LOCAL::op{pipe} ($errno == 0) post {
        int i, f0 = $fdret[0], f1 = $fdret[1];
        char buf0[16], buf1[16]; 
        wr_sprintf(buf0, "Pipe to %d", f0); 
        wr_sprintf(buf1, "Pipe from %d", f1); 
        wql { delete from fdtbl where .fd = f0 or .fd = f1; };
        i = wql { insert into fdtbl values 
                            ($fdret[0], buf1), 
                            ($fdret[1], buf0); 
                };
    }; 
*/
#endif /* TRACK_FD */
  
	WR_LOCAL::op{fork||vfork} (gotFork) post {
		wr_skip();
	};
 
	WR_LOCAL::op{*} 
	(wrap == 0) pre {
		wr_skip();
	} 
	(wrap == 0) post {
		wr_skip();
	};
