/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 * $Id: comm.h,v 1.4 2001/04/05 18:40:28 stevek Exp $
 */
/***************************************************************************
                          comm.h  -  description
                             -------------------
    begin                : Fri May 26 2000
    copyright            : (C) 2000 by Calvin Ko
    email                : ko@tislabs.com
 ***************************************************************************/


#ifndef KO_COMM_H_2000

#define WRD_PORT 	10001
#define HOST_STRLEN	256

/* structure for holding active socket links to other daemon on remote hosts */
typedef struct {
	char rhost[HOST_STRLEN+2];
	int	idle;
} SockLink;

extern char errmsg[];				/* buffer for holding error message */

SockLink *new_SockLink();
int sendstr(int s, char *line);

int connectTCP (char *, int port);
int connectUDP (char *, int port);
int passiveTCP (int port, int qlen);
int passiveUDP (int port, int qlen);


#endif /* KO_COMM_H_2000, 2001   */
