/*
 * $Id: memory.h,v 1.3 2001/03/20 20:46:09 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Linux-specific Memory Management
 * 
 */

#ifndef _GSWTK_KERNEL_OS_LINUX_MEMORY_H
#define _GSWTK_KERNEL_OS_LINUX_MEMORY_H 1

#include <linux/slab.h>
#include <asm/mman.h>

/***************************************************************************\
 * Public functions implemented as macros                                  *
\***************************************************************************/

#define gswk_mem_os_alloc(s) kmalloc((s), GFP_KERNEL)
#define gswk_mem_os_free(a)  kfree((a))

#endif /* _GSWTK_KERNEL_OS_LINUX_MEMORY_H */

