/*
 * $Id: qsort.h,v 1.4 2001/03/19 23:19:06 stevek Exp $
 *
 *   Section: GSWTK Kernel
 * Component: Quick Sort
 * 
 */

#ifndef _GSWTK_KERNEL_QSORT_H
#define _GSWTK_KERNEL_QSORT_H 1


GSWTK_COMPONENT(qsort);


/***************************************************************************\
 * Public types                                                            *
\***************************************************************************/

typedef int cmp_t( const void *, const void * );


/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

void GSWKERNLINKAGE gswk_qsort( void *, size_t, size_t, cmp_t * );

#endif /* _GSWTK_KERNEL_QSORT_H */

