/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 * $Id: linker_aout_machdep_i386.h,v 1.3 2001/02/23 19:02:09 stevek Exp $
 */

#ifndef __LINKER_AOUT_MACHDEP_I386_H
#define __LINKER_AOUT_MACHDEP_I386_H	1

struct _AOut_Rel
{
   int          r_address;         /* offset in text or data segment */
   unsigned int r_symbolnum : 24,  /* ordinal number of add symbol */
                r_pcrel     :  1,  /* 1 if value should be pc-relative */
                r_length    :  2,  /* log base 2 of value's width */
                r_extern    :  1,  /* 1 if need to add symbol to value */
                r_baserel   :  1,  /* linkage table relative */
                r_jmptable  :  1,  /* relocate to jump table */
                r_relative  :  1,  /* load address relative */
                r_copy      :  1;  /* run time copy */
};

#endif /* __LINKER_AOUT_MACHDEP_I386_H */

