# 
# Copyright (C) 2001  Network Associates, Incorporated (NAI)
# All rights reserved.
#
# This file is part of the NAI Generic Software Wrappers Toolkit
# (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
# distribution.
#
# The GSWTK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GSWTK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# Build Files for Toolkit
#
# Object file makefile rules
#
# $Id: obj.mak,v 1.1 2001/02/23 19:51:13 stevek Exp $
#

include ${TOPDIR}/mak/common.mak

OBJMAK = pre
include ${TOPDIR}/mak/obj.mak.${MAKEINC}

.SUFFIXES: .s .rc .res .cxx .c .cc .i ${OBJ}

.rc.res:
	${RC} ${INCLUDES} $<

.c.i:
	${RM} $@
	${COMPILE.c} ${INCLUDES} ${CPPFLAGS} $< > $@ 

.cxx.i:
	${RM} $@
	${COMPILE.cxx} ${INCLUDES} ${CPPFLAGS} $< > $@ 

.cc.i:
	${RM} $@
	${COMPILE.cc} ${INCLUDES} ${CPPFLAGS} $< > $@ 

.cxx${OBJ}:
	${COMPILE.cxx} ${INCLUDES} $<

.cc${OBJ}:
	${COMPILE.cc} ${INCLUDES} $<

.c${OBJ}:
	${COMPILE.c} ${INCLUDES} $<

.c.s:
	${RM} $@
	${COMPILE.c} ${ASMFLAGS} $< > $@ 

OBJMAK = post
include ${TOPDIR}/mak/obj.mak.${MAKEINC}

