# 
# Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
# All rights reserved.
#
# This file is part of the NAI Generic Software Wrappers Toolkit
# (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
# distribution.
#
# The GSWTK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# The GSWTK is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this software; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: Makefile.inc,v 1.7 2001/04/05 18:40:58 stevek Exp $

BUILD_SHARED = yes
BUILD_STATIC = no

COPY_SHARED_TO_BIN = yes

SHLIB_MAJOR = 1
SHLIB_MINOR = 0

CXXFLAGS	+= -DUNICODE -D_UNICODE
CXXFLAGS	+= -DPDLINKAGE=EXPORT

LIBBASE	= pipesrv
OBJS	= pipesrv${OBJ}

LDLIBS	+= ${TOPDIR}/src/${BUILDDIR}/libs/libmtsync/${LIBPRFX}mtsync${LIBEXT}
LDLIBS	+= advapi32.lib

