/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 * $Id: vnode_if.h,v 1.5 2001/05/04 20:55:27 stevek Exp $
 */

#include <pdpi/pi_defs.h>

#if PD_FREEBSD == 3
/* Include FreeBSD 3.x vnode_if.h */
#include <vnode_if_3.h>
#elif (PD_FREEBSD == 4)
/* Include FreeBSD 4.x vnode_if.h */
#include <vnode_if_4.h>
#elif (PD_FREEBSD == 5)
/* Include FreeBSD 5.x vnode_if.h */
#include <vnode_if_5.h>
#else
#error Missing vnode_if_<major>.h
#endif

