/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 */

extern int	WR_BADPERM;
extern int	WR_A_BADPERM;
extern int	WR_D_BADPERM;
extern int	WR_NOFILE;
extern int	WR_A_NOFILE;
extern int	WR_D_NOFILE;
extern int	WR_NOPROC;
extern int	WR_A_NOPROC;
extern int	WR_D_NOPROC;
extern int	WR_EINTR;
extern int	WR_A_EINTR;
extern int	WR_D_EINTR;
extern int	WR_IOERR;
extern int	WR_A_IOERR;
extern int	WR_D_IOERR;
extern int	WR_ENXIO;
extern int	WR_A_ENXIO;
extern int	WR_D_ENXIO;
extern int	WR_ARG2LONG;
extern int	WR_A_ARG2LONG;
extern int	WR_D_ARG2LONG;
extern int	WR_ENOEXEC;
extern int	WR_A_ENOEXEC;
extern int	WR_D_ENOEXEC;
extern int	WR_BADFD;
extern int	WR_A_BADFD;
extern int	WR_D_BADFD;
extern int	WR_NOCHILD;
extern int	WR_A_NOCHILD;
extern int	WR_D_NOCHILD;
extern int	WR_EDEADLK;
extern int	WR_A_EDEADLK;
extern int	WR_D_EDEADLK;
extern int	WR_ENOMEM;
extern int	WR_A_ENOMEM;
extern int	WR_D_ENOMEM;
extern int	WR_BADACCES;
extern int	WR_A_BADACCES;
extern int	WR_D_BADACCES;
extern int	WR_EFAULT;
extern int	WR_A_EFAULT;
extern int	WR_D_EFAULT;
extern int	WR_ENOTBLK;
extern int	WR_A_ENOTBLK;
extern int	WR_D_ENOTBLK;
extern int	WR_EBUSY;
extern int	WR_A_EBUSY;
extern int	WR_D_EBUSY;
extern int	WR_FILEEXIST;
extern int	WR_A_FILEEXIST;
extern int	WR_D_FILEEXIST;
extern int	WR_EXDEV;
extern int	WR_A_EXDEV;
extern int	WR_D_EXDEV;
extern int	WR_ENODEV;
extern int	WR_A_ENODEV;
extern int	WR_D_ENODEV;
extern int	WR_ENOTDIR;
extern int	WR_A_ENOTDIR;
extern int	WR_D_ENOTDIR;
extern int	WR_EISDIR;
extern int	WR_A_EISDIR;
extern int	WR_D_EISDIR;
extern int	WR_BADARG;
extern int	WR_A_BADARG;
extern int	WR_D_BADARG;
extern int	WR_ENFILE;
extern int	WR_A_ENFILE;
extern int	WR_D_ENFILE;
extern int	WR_EMFILE;
extern int	WR_A_EMFILE;
extern int	WR_D_EMFILE;
extern int	WR_ENOTTY;
extern int	WR_A_ENOTTY;
extern int	WR_D_ENOTTY;
extern int	WR_FILEBSY;
extern int	WR_A_FILEBSY;
extern int	WR_D_FILEBSY;
extern int	WR_FILE2BIG;
extern int	WR_A_FILE2BIG;
extern int	WR_D_FILE2BIG;
extern int	WR_NOSPC;
extern int	WR_A_NOSPC;
extern int	WR_D_NOSPC;
extern int	WR_ESPIPE;
extern int	WR_A_ESPIPE;
extern int	WR_D_ESPIPE;
extern int	WR_EROFS;
extern int	WR_A_EROFS;
extern int	WR_D_EROFS;
extern int	WR_EMLINK;
extern int	WR_A_EMLINK;
extern int	WR_D_EMLINK;
extern int	WR_EPIPE;
extern int	WR_A_EPIPE;
extern int	WR_D_EPIPE;
extern int	WR_EDOM;
extern int	WR_A_EDOM;
extern int	WR_D_EDOM;
extern int	WR_ERANGE;
extern int	WR_A_ERANGE;
extern int	WR_D_ERANGE;
extern int	WR_EAGAIN;
extern int	WR_A_EAGAIN;
extern int	WR_D_EAGAIN;
extern int	WR_EINPROGRESS;
extern int	WR_A_EINPROGRESS;
extern int	WR_D_EINPROGRESS;
extern int	WR_EALREADY;
extern int	WR_A_EALREADY;
extern int	WR_D_EALREADY;
extern int	WR_ENOTSOCK;
extern int	WR_A_ENOTSOCK;
extern int	WR_D_ENOTSOCK;
extern int	WR_EDESTADDRREQ;
extern int	WR_A_EDESTADDRREQ;
extern int	WR_D_EDESTADDRREQ;
extern int	WR_EMSGSIZE;
extern int	WR_A_EMSGSIZE;
extern int	WR_D_EMSGSIZE;
extern int	WR_EPROTOTYPE;
extern int	WR_A_EPROTOTYPE;
extern int	WR_D_EPROTOTYPE;
extern int	WR_ENOPROTOOPT;
extern int	WR_A_ENOPROTOOPT;
extern int	WR_D_ENOPROTOOPT;
extern int	WR_EPROTONOSUPPORT;
extern int	WR_A_EPROTONOSUPPORT;
extern int	WR_D_EPROTONOSUPPORT;
extern int	WR_ESOCKTNOSUPPORT;
extern int	WR_A_ESOCKTNOSUPPORT;
extern int	WR_D_ESOCKTNOSUPPORT;
extern int	WR_EOPNOTSUPP;
extern int	WR_A_EOPNOTSUPP;
extern int	WR_D_EOPNOTSUPP;
extern int	WR_EPFNOSUPPORT;
extern int	WR_A_EPFNOSUPPORT;
extern int	WR_D_EPFNOSUPPORT;
extern int	WR_EAFNOSUPPORT;
extern int	WR_A_EAFNOSUPPORT;
extern int	WR_D_EAFNOSUPPORT;
extern int	WR_EADDRINUSE;
extern int	WR_A_EADDRINUSE;
extern int	WR_D_EADDRINUSE;
extern int	WR_EADDRNOTAVAIL;
extern int	WR_A_EADDRNOTAVAIL;
extern int	WR_D_EADDRNOTAVAIL;
extern int	WR_ENETDOWN;
extern int	WR_A_ENETDOWN;
extern int	WR_D_ENETDOWN;
extern int	WR_ENETUNREACH;
extern int	WR_A_ENETUNREACH;
extern int	WR_D_ENETUNREACH;
extern int	WR_ENETRESET;
extern int	WR_A_ENETRESET;
extern int	WR_D_ENETRESET;
extern int	WR_ECONNABORTED;
extern int	WR_A_ECONNABORTED;
extern int	WR_D_ECONNABORTED;
extern int	WR_ECONNRESET;
extern int	WR_A_ECONNRESET;
extern int	WR_D_ECONNRESET;
extern int	WR_ENOBUFS;
extern int	WR_A_ENOBUFS;
extern int	WR_D_ENOBUFS;
extern int	WR_EISCONN;
extern int	WR_A_EISCONN;
extern int	WR_D_EISCONN;
extern int	WR_ENOTCONN;
extern int	WR_A_ENOTCONN;
extern int	WR_D_ENOTCONN;
extern int	WR_ESHUTDOWN;
extern int	WR_A_ESHUTDOWN;
extern int	WR_D_ESHUTDOWN;
extern int	WR_ETOOMANYREFS;
extern int	WR_A_ETOOMANYREFS;
extern int	WR_D_ETOOMANYREFS;
extern int	WR_ETIMEDOUT;
extern int	WR_A_ETIMEDOUT;
extern int	WR_D_ETIMEDOUT;
extern int	WR_ECONNREFUSED;
extern int	WR_A_ECONNREFUSED;
extern int	WR_D_ECONNREFUSED;
extern int	WR_ELOOP;
extern int	WR_A_ELOOP;
extern int	WR_D_ELOOP;
extern int	WR_FNAME2LONG;
extern int	WR_A_FNAME2LONG;
extern int	WR_D_FNAME2LONG;
extern int	WR_EHOSTDOWN;
extern int	WR_A_EHOSTDOWN;
extern int	WR_D_EHOSTDOWN;
extern int	WR_EHOSTUNREACH;
extern int	WR_A_EHOSTUNREACH;
extern int	WR_D_EHOSTUNREACH;
extern int	WR_ENOTEMPTY;
extern int	WR_A_ENOTEMPTY;
extern int	WR_D_ENOTEMPTY;
extern int	WR_2MANYPROC;
extern int	WR_A_2MANYPROC;
extern int	WR_D_2MANYPROC;
extern int	WR_2MANYUSER;
extern int	WR_A_2MANYUSER;
extern int	WR_D_2MANYUSER;
extern int	WR_EDQUOT;
extern int	WR_A_EDQUOT;
extern int	WR_D_EDQUOT;
extern int	WR_ESTALE;
extern int	WR_A_ESTALE;
extern int	WR_D_ESTALE;
extern int	WR_EREMOTE;
extern int	WR_A_EREMOTE;
extern int	WR_D_EREMOTE;
extern int	WR_EBADRPC;
extern int	WR_A_EBADRPC;
extern int	WR_D_EBADRPC;
extern int	WR_ERPCMISMATCH;
extern int	WR_A_ERPCMISMATCH;
extern int	WR_D_ERPCMISMATCH;
extern int	WR_EPROGUNAVAIL;
extern int	WR_A_EPROGUNAVAIL;
extern int	WR_D_EPROGUNAVAIL;
extern int	WR_EPROGMISMATCH;
extern int	WR_A_EPROGMISMATCH;
extern int	WR_D_EPROGMISMATCH;
extern int	WR_EPROCUNAVAIL;
extern int	WR_A_EPROCUNAVAIL;
extern int	WR_D_EPROCUNAVAIL;
extern int	WR_ENOLCK;
extern int	WR_A_ENOLCK;
extern int	WR_D_ENOLCK;
extern int	WR_NOSYSCALL;
extern int	WR_A_NOSYSCALL;
extern int	WR_D_NOSYSCALL;
extern int	WR_EFTYPE;
extern int	WR_A_EFTYPE;
extern int	WR_D_EFTYPE;
extern int	WR_EAUTH;
extern int	WR_A_EAUTH;
extern int	WR_D_EAUTH;
extern int	WR_ENEEDAUTH;
extern int	WR_A_ENEEDAUTH;
extern int	WR_D_ENEEDAUTH;
extern int	WR_ELAST;
extern int	WR_A_ELAST;
extern int	WR_D_ELAST;
extern int	WR_SUCC;
extern int	WR_FAIL;
