#  
#  Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
#  All rights reserved.
# 
#  This file is part of the NAI Generic Software Wrappers Toolkit
#  (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
#  distribution.
# 
#  The GSWTK is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
# 
#  The GSWTK is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#

.PHONY: linkinclude

PRETARGET	+= linkinclude

SUBDIR		+= components module

include ${TOPDIR}/mak/subdir.mak

linkinclude:
	@DIRNAME=`dirname ${TOPDIR}/include/gswtk/${BASEDIR}`; \
	BASENAME=`dirname $${DIRNAME}`; \
	if [ ! -d $${BASENAME} ]; then \
		${TOPDIR}/mak/mkdirhier $${BASENAME}; \
	fi; \
	if [ ! -e $${DIRNAME} -a -d include ]; then \
		${LN} ${TOPDIR}/../${BASEDIR}/include $${DIRNAME}; \
	fi
	@if [ ! -e include/os/system -a -d include/os/${OSDIRECTORY} ]; then \
		${LN} ${OSDIRECTORY} include/os/system; \
	fi
	@if [ ! -e include/os/system/mach -a \
              -d include/os/${OSDIRECTORY}/${GSWTK_CONFIG_MACH} ]; then \
		${LN} ${GSWTK_CONFIG_MACH} include/os/system/mach; \
	fi

