/* 
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: wsi_utilities.h,v 1.7 2001/02/23 19:02:31 stevek Exp $
 *
 * Author: Steve Kiernan
 *
 * Purpose: Repository of useful functions that might be missing.
 */

#ifndef __WSI_UTILITIES_H
#define __WSI_UTILITIES_H 1


/************************************************************************\
 * Public functions                                                     *
\************************************************************************/

void WSSLINKAGE bcopy     __P(( const void *src, void *dest, size_t len ));
void WSSLINKAGE bzero     __P(( void *b, size_t len ));
int  WSSLINKAGE copyinstr __P(( const void *uaddr, void *kaddr, size_t len,
                                size_t *done ));

#endif /* __WSI_UTILITIES_H */

