/*
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: wsi_db.h,v 1.5 2001/02/23 19:02:38 stevek Exp $
 *
 * Author: Douglas Kilpatrick
 *
 * Purpose: System specific header for wss_db.  Only needed on linux so
 * far.
 *
 */

#ifndef WSI_DB_H
#define WSI_DB_H

#ifndef WR_CONF_H
#include <wr_conf.h>
#endif

#ifndef WSS_VM_INCLUDED
#include <wss_vm.h>
#endif

void wsi_db_flush(wss_vmspace_t *space);

#endif /* WSI_DB_H */

