/*
 * Copyright (C) 1999, 2000, 2001  Network Associates, Incorporated (NAI)
 * All rights reserved.
 *
 * This file is part of the NAI Generic Software Wrappers Toolkit
 * (GSWTK).  See ftp://ftp.tislabs.com/pub/wrappers/ for the latest
 * distribution.
 *
 * The GSWTK is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * The GSWTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * $Id: wsi_module.c,v 1.5 2001/02/23 19:02:40 stevek Exp $
 *
 * Author: Steve Kiernan
 *
 * Purpose: Handle freeing system-dependent memory used by wr_module structure
 */

#include <wr_conf.h>

#include <wss_malloc.h>
#include <wss_module.h>


/***************************************************************************\
 * Public functions                                                        *
\***************************************************************************/

void
wsi_mod_delete( wss_mod_t *wrm )
{
   /* Free any system dependant memory used by the wr_module structure */
}

